=== debian/control ===
Source: kde-guidance-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
Build-Depends: cdbs, debhelper (>= 5), quilt, chrpath, kdelibs4-trinity-dev,
 libpythonize0-trinity-dev, libtool, libxml2-utils, libxss-dev, libxxf86vm-dev,
 pykdeextensions-trinity, pyqt-tools, python-qt3 (>= 3.17.2-1ubuntu2), python-trinity-trinity, python-trinity-trinity-dev, python-sip4-dev,
 python-support (>= 0.6), python-all (>= 2.5), python-all-dev (>= 2.5), x11proto-scrnsaver-dev, python-qt-dev, hwdata
Standards-Version: 3.8.4

Package: kde-guidance-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pykdeextensions-trinity, python-trinity-trinity, sysv-rc, guidance-backends-trinity, hwdata, python (>= 2.5), python-dev (>= 2.5)
Replaces: kde-guidance-kde3 (<< 4:3.5.13)
Breaks: kde-guidance-kde3 (<< 4:3.5.13)
Conflicts: guidance-power-manager, kde-guidance-powermanager
Provides: ${python:Provides}
Description: collection of KDE system administration tools for GNU/Linux [Trinity]
 Guidance currently consists of four programs designed to help you
 look after your system:
  o  userconfig - User and Group administration
  o  serviceconfig - Service/daemon administration
  o  mountconfig - Disk and filesystem administration
  o  displayconfig - Screen and display configuration
  o  wineconfig - Wine configuration
 .
 These tools are available in KDE Control Center, System Settings 
 or can be run as standalone applications.
 .
  Homepage: http://www.simonzone.com/software/guidance

Package: guidance-backends-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, hwdata, python (>= 2.5), python-dev (>= 2.5)
Replaces: guidance-backends-kde3 (<< 4:3.5.13)
Breaks: guidance-backends-kde3 (<< 4:3.5.13)
Conflicts: guidance-power-manager, kde-guidance-powermanager
Provides: ${python:Provides}
Description: collection of system administration tools for GNU/Linux [Trinity]
 This package contains the platform neutral backends used in the
 Guidance configuration tools.
 .
  Homepage: http://www.simonzone.com/software/guidance

Package: kde-guidance-powermanager-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, kde-guidance-trinity, python-trinity-trinity, python-dbus, hal, python-gobject, python (>= 2.5), python-dev (>= 2.5)
Replaces: kde-guidance-powermanager-kde3 (<< 4:3.5.13)
Breaks: kde-guidance-powermanager-kde3 (<< 4:3.5.13)
Conflicts: guidance-power-manager, kde-guidance-powermanager
Provides: ${python:Provides}
Description: HAL based power manager applet [Trinity]
 A power management applet to indicate battery levels and perform hibernate or
 suspend using HAL.
 .
  Homepage: http://www.simonzone.com/software/guidance
